Fetches a campaign by ID.
cURL
curl --request GET \ --url https://api.vocobase.com/api/v2/campaigns/{id} \ --header 'Authorization: Bearer <token>'
{ "success": true, "data": { "campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "description": "<string>", "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "agent_name": "<string>", "provider": "mcube", "concurrency_limit": 5, "status": "draft", "total_contacts": 123, "completed_count": 123, "failed_count": 123, "skipped_count": 123, "started_at": "2023-11-07T05:31:56Z", "paused_at": "2023-11-07T05:31:56Z", "completed_at": "2023-11-07T05:31:56Z", "created_at": "2023-11-07T05:31:56Z" } }
API key in format: rg_live_xxxx. Pass as a Bearer token in the Authorization header.
rg_live_xxxx
Campaign returned.
Show child attributes